Subject: RE: issue 10

From: "Natale, Jonathan" <[email-masked]>
Date: Mon, 30 Sep 2002 06:34:47 -0400

I think we should change:
"   If due to the limits on the maximum size of an UPDATE message
   (see Section 4) a single route doesn't fit into the message,
   the BGP speaker may choose not to advertise the route to its
   peers.  Other alternatives of handling this situation are outside
   the scope of this document."
To:
   If due to the limits on the maximum size of an UPDATE message
   (see Section 4) a single route doesn't fit into the message,
   the BGP speaker may choose not to advertise the route to its
   peers and may choose to log an error locally.  Other alternatives of
handling this situation are outside
   the scope of this document."

1) Does this happen in real life?
2) Candidate for INFORM?
3) Maybe add ~= "rate limit these error logs"?

-----Original Message-----
From: Yakov Rekhter [mailto:[email-masked]] 
Sent: Wednesday, September 25, 2002 2:47 PM
To: [email-masked]
Subject: issue 10

  10) Extending AS_PATH Attribute
 
----------------------------------------------------------------------------
  Status: No Consensus
  Change: Potentially
  Summary: Specific text required to delimit behavior when AS_PATH length
   is exceeded.
  
  Discussion:
  
  The "Extending AS_PATH attribute length en route" thread brought up
  the issue of what action should we specify when we receive a route
  with an AS_PATH that exceeds the defined maximum length.  There was
  some discussion, and it was suggested that, after logging the error,
  the route not be propegated.  No text was proposed.  This issue needs
  consensus:  Do we specify the behavior?  If so what with what text?

The real issue here is how to handle the case when a route
(a single address prefix + path attributes) doesn't fit into
4K bytes (as the max BGP message size is 4 K). To address
this issue I would suggest to add the following to 9.2:

   If due to the limits on the maximum size of an UPDATE message
   (see Section 4) a single route doesn't fit into the message,
   the BGP speaker may choose not to advertise the route to its
   peers.  Other alternatives of handling this situation are outside
   the scope of this document.

Yakov.

---

From: Yakov Rekhter <[email-masked]>
Date: Mon, 30 Sep 2002 05:24:28 -0700

Jonathan,

>    handling this situation are outside the scope of this document."

That would be fine with me, although I am not sure we need the
last sentence ("Other alternatives....").

Yakov.